| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
fsl_fusion_DeviceDescriptor_t Struct Reference
fsl_fusion_virt_3D_orient module documentation

`#include <fsl_fusion_virt_3D_orient.h>`

Collaboration diagram for fsl_fusion_DeviceDescriptor_t:

## Data Fields
LWEVENT_STRUCT | sensorLWEvent
LWEVENT_STRUCT | MagCalEventStruct
LWSEM_STRUCT | deviceSemaphore
isf_timestamp_t | timestamp
int32 | sensorDataReady
fusion_state_t | fusionState

## Detailed Description

Definition at line 132 of file fsl_fusion_virt_3D_orient.h.

## Field Documentation

LWSEM_STRUCT deviceSemaphore

Task synchronization mechanism for this data structure.

Definition at line 136 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_virt_3D_orient_Configure(), fsl_fusion_virt_3D_orient_EndData(), fsl_fusion_virt_3D_orient_Initialize(), and fsl_fusion_virt_3D_orient_StartData().

fusion_state_t fusionState

Definition at line 164 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_task(), fsl_fusion_virt_3D_orient_Initialize(), fsl_fusion_virt_3D_orient_PeriodicCallback(), and fsl_MagCal_task().

LWEVENT_STRUCT MagCalEventStruct

Definition at line 135 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_virt_3D_orient_Initialize(), fsl_fusion_virt_3D_orient_PeriodicCallback(), and fsl_MagCal_task().

int32 sensorDataReady

Definition at line 163 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_virt_3D_orient_Initialize(), and fsl_fusion_virt_3D_orient_PeriodicCallback().

LWEVENT_STRUCT sensorLWEvent

Definition at line 134 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_task(), and fsl_fusion_virt_3D_orient_Initialize().

isf_timestamp_t timestamp

Definition at line 137 of file fsl_fusion_virt_3D_orient.h.

The documentation for this struct was generated from the following file:

- SensorSpecific/fsl_fusion_virt_3D_orient.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.